﻿@model StarterProjectV2.ViewModels.OwnerList

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>

    <script src="~/Content/vendors/js/jquery.min.js"></script>
}


@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}

@section PAGETITLE{
    Owner's Info Notification
}
<script src="https://cloud.tinymce.com/5/tinymce.min.js?apiKey=xtfy77gd8og6vfbyu01pc625hrebtc3rvp9vsvqfr0m0ogn6"></script>
<script>
    tinymce.init({
        selector: '#mytextareaForEmail'
    });
</script>
<body style="background-color:oldlace">
<div class="card">
    <ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" href="#profile" role="tab" data-toggle="tab">Text</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="#buzz" role="tab" data-toggle="tab">Editor</a>
        </li>
    </ul>


    <!-- Tab panes -->

    <div class="tab-content">
        <div role="tabpanel" class="tab-pane in active" id="profile">
            <h2 class="text-center" style="color:indianred">Notification Management</h2>
            <form class="form-inline mb-3 ml-3 d-flex justify-content-center">
                <input value="@Model.SearchField" id="searchfield" class="form-control" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-primary" type="button" onclick="search()">Search</button>
                @*<div class="input-group-append">
                        <span class="input-group-text" id="basic-addon1"><i class="fa fa-search"></i></span>
                    </div>*@
            </form>
            @*<div class="row">
                    <div class="col-1 ml-0">
                        <input class="form-check-inline btn btn-primary btn-block" type="button" name="Check_All" value="Select All"
                               onClick="CheckAll(document.querySelectorAll('#selected-owner'))" id="all-owner">
                    </div>
                    <div class="col-1">
                        <input class="form-check-inline btn btn-primary btn-block" type="button" name="Uncheck_All" value="Select None"
                               onClick="UncheckAll(document.querySelectorAll('#selected-owner'))" id="all-owner">
                    </div>
                </div>*@
            <div class="table-responsive-lg">

                <table id="mainTable" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                    <thead style="color: white; background-color:#315152">

                    <tr>
                        <th scope="col"><input class="form-check-inline" type="checkbox" value="all" id="all-owner">Select</th>
                        @*<th scope="col">
                                    Select
                                </th>*@
                        @*<th scope="col">Owner Id</th>*@
                        <th scope="col">Slot Id</th>
                        <th scope="col">Owner's Name</th>
                        <th scope="col">Date Of Birth</th>
                        <th scope="col">Mobile</th>
                        <th scope="col">Email</th>
                    </tr>
                    </thead>
                    <tbody id="myTable">
                    @{
                        int noOfdata = Model.Owners.Count();
                    }
                    @if (noOfdata != 0)
                    {
                        foreach (var own in Model.Owners)
                        {
                            <tr id="Okay">
                                <td>
                                    <div class="form-check">
                                        <input class="form-check-input sms-sending" type="checkbox" value="@own.OwenerId" id="selected-owner" name="check_list">
                                    </div>
                                </td>
                                @*<td id="ownerId">@own.OwenerId</td>*@
                                <td id="ownerId">@own.SlotId</td>
                                <td>@own.Name</td>
                                <td>@own.DateOfBirth</td>
                                <td>@own.Mobile</td>
                                <td>@own.Email</td>
                            </tr>
                        }
                    }
                    </tbody>
                </table>
            </div>

            <div class="form-group mt-3">
                <label for="comment" style="color:cornflowerblue; font-size: large">Text:</label>
                <textarea class="form-control" rows="5" id="mytextarea1"></textarea>
                <div id="charNum" class="text-muted text-sm-right"></div>
            </div>


            <div class="btn-group float-right flex-wrap mb-3" role="group" aria-label="Basic example">
                <button type="submit" class="btn btn-success m-1" id="notify-sms" onclick="functionforSMS()"><i class="fa fa-mobile-phone"></i> Send SMS</button>
                <button type="submit" class="btn btn-primary  m-1" id="notify-email" onclick="functionforEmailFromSMSPage()"><i class="fa fa-envelope"></i> Send Email</button>
                <button type="submit" class="btn btn-danger  m-1" id="notify-sms" onclick="sendBothEmailSMS()"><i class="fa fa-envelope mr-1"></i><i class="fa fa-mobile-phone"></i> Send Both</button>
            </div>
        </div>


        <div role="tabpanel" class="tab-pane fade" id="buzz">
            <h2 class="text-center" style="color:indianred">Notification Management</h2>
            <div class="form-inline float-right mb-3">


                <input class="form-control" type="text" id="myInput1" onkeyup="myFunction1()" placeholder="Search the Table...">
                <div class="input-group-append">
                    <span class="input-group-text" id="basic-addon1">Search</span>
                </div>

            </div>
            <div class="table-responsive-lg">

                <table id="mainTable" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                    <thead style="color: white; background-color:#315152">

                    <tr>
                        <th scope="col"><input class="form-check-inline" type="checkbox" value="all" id="all-owner1">Select</th>
                        @*<th scope="col">Select</th>*@
                        <th scope="col">Owner Id</th>
                        <th scope="col">Slot Id</th>
                        <th scope="col">Owner's Name</th>
                        <th scope="col">Date Of Birth</th>
                        <th scope="col">Mobile</th>
                        <th scope="col">Email</th>
                    </tr>
                    </thead>
                    <tbody id="myTable1">

                    @foreach (var own in Model.Owners)
                    {
                        <tr id="Okay1">
                            <td>
                                <div class="form-check">
                                    <input class="form-check-input sms-sending1" type="checkbox" value="@own.OwenerId" id="selected-owner2">
                                </div>
                            </td>
                            <td>@own.OwenerId</td>
                            <td id="ownerId">@own.SlotId</td>
                            <td>@own.Name</td>
                            <td>@own.DateOfBirth</td>
                            <td>@own.Mobile</td>
                            <td>@own.Email</td>
                        </tr>
                    }

                    </tbody>
                </table>
            </div>

            <div class="form-group mt-3">
                <label for="comment" style="color:cornflowerblue; font-size: large">E-Mail:</label>
                @* mytextareaForEmail *@
                <textarea class="form-control" rows="5" id="mytextareaForEmail"></textarea>
                <div id="charNum" class="text-muted text-sm-right"></div>
            </div>


            <div class="btn-group col-md-12 mb-3" role="group" aria-label="Basic example">
                <button type="submit" class="btn btn-primary  m-auto" id="notify-email" onclick="functionforEmail()"><i class="fa fa-envelope"></i> Send Email</button>
            </div>
        </div>
    </div>
    @*<div style="text-align: center" class="m-2">*@
    @*@Html.ActionLink("SMS and Email Sending History", "EmailandSMSReportSearchOption", "OwnersInfo", new { @class = "btn btn-primary" })*@
    @*</div>*@
</div>
</body>
<script>
    //function CheckAll(chk) {
    //    for (i = 0; i < chk.length; i++)
    //        chk[i].checked = true;
    //}
    //function UncheckAll(chk){
    //    for (i = 0; i < chk.length; i++)
    //        chk[i].checked = false ;
    //}
    $('#all-owner').click(function () {
        if ($(this).is(':checked')) {
            //alert("ass");
            var chk = document.querySelectorAll('#selected-owner');
            var rowCheck = document.querySelectorAll('#Okay');
            //            alert(rowCheck[0].style.display);
            if ($('#myInput').val() === null || $('#myInput').val() === '') {
                //alert("dfdf");
                for (var i = 0; i < chk.length; i++) {
                    chk[i].checked = true;
                }
            }
            else {
                //alert("dfdf");
                for (var i = 0; i < chk.length; i++) {
                    if (rowCheck[i].style.display != "none") {
                        chk[i].checked = true;
                    }
                }
            }
        } else {
            var chk1 = document.querySelectorAll('#selected-owner');
            for (var j = 0; j < chk1.length; j++)
                chk1[j].checked = false;
        }
    });

</script>
@*<script>
        $('#all-owner').click(function () {
            if ($(this).is(':checked')) {
                $('.sms-sending').attr('checked', true);
            } else {
                $('.sms-sending').attr('checked', false);
            }
        });
    </script>*@

<script>
    //$('#all-owner1').click(function () {
    //    if ($(this).is(':checked')) {
    //        $('.sms-sending1').attr('checked', true);
    //    } else {
    //        $('.sms-sending1').attr('checked', false);
    //    }
    //});
    $('#all-owner1').click(function () {
        if ($(this).is(':checked')) {
            //alert("ass");
            var chk = document.querySelectorAll('#selected-owner2');
            var rowCheck = document.querySelectorAll('#Okay1');
            //            alert(rowCheck[0].style.display);
            if ($('#myInput1').val() === null || $('#myInput1').val() === '') {
                //alert("dfdf");
                for (var i = 0; i < chk.length; i++) {
                    chk[i].checked = true;
                }
            }
            else {
                //alert("dfdf");
                for (var i = 0; i < chk.length; i++) {
                    if (rowCheck[i].style.display != "none") {
                        chk[i].checked = true;
                    }
                }
            }
        } else {
            var chk1 = document.querySelectorAll('#selected-owner2');
            for (var j = 0; j < chk1.length; j++)
                chk1[j].checked = false;
        }
    });
</script>


<script>
    function pagination1() {
        $('table.paginated1').each(function () {
            var $table = $(this);
            var itemsPerPage = 10;
            var currentPage = 0;
            var pages = Math.ceil($table.find("tr:not(:has(th))").length / itemsPerPage);
            $table.bind('repaginate', function () {
                if (pages > 1) {
                    var pager;
                    if ($table.next().hasClass("pager"))
                        pager = $table.next().empty(); else
                        pager = $('<div class="pager" id="pager1" style="padding-top: 20px; direction:ltr; display:block;" align="center"></div>');

                    $('<button class="btn btn-primary"></button>').text(' « First ').bind('click', function () {
                        currentPage = 0;
                        $table.trigger('repaginate');
                    }).appendTo(pager);

                    $('<button class="btn btn-primary"> « Prev </button>').bind('click', function () {
                        if (currentPage > 0)
                            currentPage--;
                        $table.trigger('repaginate');
                    }).appendTo(pager);

                    var startPager = currentPage > 2 ? currentPage - 2 : 0;
                    var endPager = startPager > 0 ? currentPage + 3 : 5;
                    if (endPager > pages) {
                        endPager = pages;
                        startPager = pages - 5; if (startPager < 0)
                            startPager = 0;
                    }

                    for (var page = startPager; page < endPager; page++) {
                        $('<button id="pg' + page + '" class="btn btn-primary ' + (page == currentPage ? 'active' : '') + '"></button>').text(page + 1).bind('click', {
                            newPage: page
                        }, function (event) {
                            currentPage = event.data['newPage'];
                            $table.trigger('repaginate');
                        }).appendTo(pager);
                    }

                    $('<button class="btn btn-primary "> Next » </button>').bind('click', function () {
                        if (currentPage < pages - 1)
                            currentPage++;
                        $table.trigger('repaginate');
                    }).appendTo(pager);
                    $('<button class="btn btn-primary "> Last » </button>').bind('click', function () {
                        currentPage = pages - 1;
                        $table.trigger('repaginate');
                    }).appendTo(pager);

                    if (!$table.next().hasClass("pager"))
                        pager.insertAfter($table);
                    //pager.insertBefore($table);

                }// end $table.bind('repaginate', function () { ...

                $table.find(
                    'tbody tr:not(:has(th))').hide().slice(currentPage * itemsPerPage, (currentPage + 1) * itemsPerPage).show();
            });

            $table.trigger('repaginate');
        });
    }
</script>
<script>
    function pagination2() {
        $('table.paginated2').each(function () {
            var $table = $(this);
            var itemsPerPage = 10;
            var currentPage = 0;
            var pages = Math.ceil($table.find("tr:not(:has(th))").length / itemsPerPage);
            $table.bind('repaginate', function () {
                if (pages > 1) {
                    var pager;
                    if ($table.next().hasClass("pager"))
                        pager = $table.next().empty(); else
                        pager = $('<div class="pager" id="pager2" style="padding-top: 20px; direction:ltr; display:block;" align="center"></div>');

                    $('<button class="btn btn-primary"></button>').text(' « First ').bind('click', function () {
                        currentPage = 0;
                        $table.trigger('repaginate');
                    }).appendTo(pager);

                    $('<button class="btn btn-primary"> « Prev </button>').bind('click', function () {
                        if (currentPage > 0)
                            currentPage--;
                        $table.trigger('repaginate');
                    }).appendTo(pager);

                    var startPager = currentPage > 2 ? currentPage - 2 : 0;
                    var endPager = startPager > 0 ? currentPage + 3 : 5;
                    if (endPager > pages) {
                        endPager = pages;
                        startPager = pages - 5; if (startPager < 0)
                            startPager = 0;
                    }

                    for (var page = startPager; page < endPager; page++) {
                        $('<button id="pg' + page + '" class="btn btn-primary ' + (page == currentPage ? 'active' : '') + '"></button>').text(page + 1).bind('click', {
                            newPage: page
                        }, function (event) {
                            currentPage = event.data['newPage'];
                            $table.trigger('repaginate');
                        }).appendTo(pager);
                    }

                    $('<button class="btn btn-primary "> Next » </button>').bind('click', function () {
                        if (currentPage < pages - 1)
                            currentPage++;
                        $table.trigger('repaginate');
                    }).appendTo(pager);
                    $('<button class="btn btn-primary "> Last » </button>').bind('click', function () {
                        currentPage = pages - 1;
                        $table.trigger('repaginate');
                    }).appendTo(pager);

                    if (!$table.next().hasClass("pager"))
                        pager.insertAfter($table);
                    //pager.insertBefore($table);

                }// end $table.bind('repaginate', function () { ...

                $table.find(
                    'tbody tr:not(:has(th))').hide().slice(currentPage * itemsPerPage, (currentPage + 1) * itemsPerPage).show();
            });

            $table.trigger('repaginate');
        });
    }
</script>
<script>
    pagination1();
    pagination2();
</script>
<script>
    function functionforSMS() {
        var checkedOwner = $('#selected-owner:checked').map(function () {
            return this.value;
        }).get();
        //alert($("#mytextarea1").val());

        var myModel = {
            OwnerIdList: checkedOwner,
            SMSText: $("#mytextarea1").val()
        };

        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnersInfoForSendingSMS/',
            data: myModel,
            success: function (result) {
                if (result == "true") {
                    toastr.success('Messages has been sent.', 'Success!!!!', {
                        closeButton: true,
                        progressBar: true,
                    });
                }
                else if (result == "false") {
                    toastr.error('Messages has not been sent. Please, write a valid message.',
                        'Error!!!!',
                        {
                            closeButton: true,
                            progressBar: true,
                        });
                } else {
                    toastr.error('Messages has not been sent. Please, at least select one owner.',
                        'Error!!!!',
                        {
                            closeButton: true,
                            progressBar: true,
                        });
                }
            },
            error: function () {
                //error();
            }
        });

    }
</script>

<script>
    function functionforEmail() {
        var checkedOwner = $('#selected-owner2:checked').map(function () {
            return this.value;
        }).get();

        var emailText = tinymce.get('mytextareaForEmail').getContent();
        //        alert(typeof (emailText));

        var myModel = {
            OwnerIdList: checkedOwner,
            EmailText: emailText
        };

        //        alert(myModel.EmailText);
        var datatoSend = JSON.stringify(myModel);
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnersInfoForSendingEmailAsync/',
            contentType: "application/json; charset=utf-8",
            dataType: 'json',
            data: datatoSend,
            success: function (result) {
                if (result == "true") {
                    toastr.success('Messages has been sent.', 'Success!!!!', {
                        closeButton: true,
                        progressBar: true,
                    });
                }
                else if (result == "false") {
                    toastr.error('Messages has not been sent. Please, write a valid message.', 'Error!!!!', {
                        closeButton: true,
                        progressBar: true,
                    });
                } else {
                    toastr.error('Messages has not been sent. Please, at least select one owner.',
                        'Error!!!!',
                        {
                            closeButton: true,
                            progressBar: true,
                        });
                }
            },
            error: function () {
                //error();
            }
        });

    }
</script>

<script>
    function functionforEmailFromSMSPage() {
        var checkedOwner = $('#selected-owner:checked').map(function () {
            return this.value;
        }).get();
        //alert($("#mytextarea1").val());
        //alert('hello');
        var myModel = {
            OwnerIdList: checkedOwner,
            EmailText: $("#mytextarea1").val()
        };

        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnersInfoForSendingEmailAsync/',
            data: myModel,
            success: function (result) {
                if (result == "true") {
                    toastr.success('Messages has been sent.', 'Success!!!!', {
                        closeButton: true,
                        progressBar: true,
                    });
                }
                else if (result == "false") {
                    toastr.error('Messages has not been sent. Please, write a valid message.', 'Error!!!!', {
                        closeButton: true,
                        progressBar: true,
                    });
                } else {
                    toastr.error('Messages has not been sent. Please, at least select one owner.',
                        'Error!!!!',
                        {
                            closeButton: true,
                            progressBar: true,
                        });
                }
            },
            error: function () {
                //error();
            }
        });

    }
</script>
<script>
    var s2 = $("#searchfield").val();
    function search() {
       
        var s = $("#searchfield").val();
     
        window.location.href = '../OwnersInfo/OwnersInfoNotification?searchfield=' + s;
        //alert(s);
    }

</script>
<script>
    function sendBothEmailSMS() {
        functionforSMS();
        functionforEmailFromSMSPage();
    }
</script>

<script>
    var arr = [];
    $(document).ready(function () {
        $("#myInput").on("keyup", function () {
            document.getElementById('pager1').style.display = 'none';
            var value = $(this).val().toLowerCase();
            //alert(value.length);
            //alert($("#myTable tr").length);

            $("#myTable tr").filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1);
                //alert($(this).text());
                //pagination();
            });

            //var tab = document.getElementById("myTable"),
            //    n = tab.rows.length,
            //    arr = [],
            //    row;

            ////alert(n);
            //alert(tab.rows[0].cells[2].innerText.toString().toLowerCase().indexOf("S.M. Selim"));
            //for (row = 0; row < n; ++row) {
            //    //    //alert(tab.rows[row].cells[3].innerText);
            //    var colArray = [
            //        tab.rows[row].cells[1].innerText.toString().toLowerCase(), tab.rows[row].cells[2].innerText.toString().toLowerCase(),
            //        tab.rows[row].cells[3].innerText.toString().toLowerCase(), tab.rows[row].cells[4].innerText.toString().toLowerCase(),
            //        tab.rows[row].cells[5].innerText.toString().toLowerCase()
            //    ];
            //    var flg1 = false;
            //    for (var i = 0; i < 5; i++) {
            //        //alert(colArray[i].type);
            //        if (colArray[i].indexOf(value) > -1) {
            //            flg1 = true;
            //        }
            //    }

            //    if (flg1 == true) {
            //        alert(colArray[0]);
            //        arr.push(colArray[0]);
            //    }
            //}
            //if(arr.length<=2)alert(arr);
            if (value.length == 0) {
                document.getElementById('pager1').style.display = 'block';
                //alert(value.length);
                pagination1();
            }

        });
    });
    $(document).ready(function () {
        $("#myInput1").on("keyup", function () {
            document.getElementById('pager2').style.display = 'none';
            var value = $(this).val().toLowerCase();
            $("#myTable1 tr").filter(function () {
                $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            });
            if (value.length == 0) {
                document.getElementById('pager2').style.display = 'block';
                //alert(value.length);
                pagination2();
            }
        });
    });
</script>

<script>
    var textarea = document.querySelector("textarea");

    textarea.addEventListener("input", function () {
        var maxlength = this.getAttribute("maxlength");
        var currentLength = this.value.length;

        if (currentLength >= 140) {
            $('#charNum').text(currentLength + " characters used. You have reached the maximum number of characters per SMS (140 characters).");
        } else {
            $('#charNum').text(currentLength + " characters used");
        }
    });
</script>

<script>
    function myFunction() {
        // Declare variables
        var input, filter, ul, li, a, i, txtValue;
        input = document.getElementById('myInput');
        filter = input.value.toUpperCase();
        ul = document.getElementById("myUL");
        li = ul.getElementsByTagName('li');

        // Loop through all list items, and hide those who don't match the search query
        for (i = 0; i < li.length; i++) {
            a = li[i].getElementsByTagName("a")[0];
            txtValue = a.textContent || a.innerText;
            if (txtValue.toUpperCase().indexOf(filter) > -1) {
                li[i].style.display = "";
            } else {
                li[i].style.display = "none";
            }
        }
        pagination();
        //alert(input.size());
    }
</script>

<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });



    $(document).ready(function () {
        $("#newItem").remove();

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });

        $("#dashboardItem").click(function () {
        });
        $("#reportItem").remove();

    });


</script>

<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>
